Bug 1642496 - improper command given in output of "katello-certs-check"
Summary: improper command given in output of "katello-certs-check"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Certificates
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.5.0
Assignee: Chris Roberts
QA Contact: Stephen Wadeley
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-24 14:24 UTC by John Berninger
Modified: 2019-11-05 22:35 UTC (History)
3 users (show)

Fixed In Version: katello-installer-base-3.9.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25306 None None None 2018-10-25 13:14:54 UTC
Github Katello katello-installer pull 706 None None None 2018-10-25 13:50:01 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC

Description John Berninger 2018-10-24 14:24:05 UTC
Description of problem:
When running "katello-certs-check" against an externally-signed SSL certificate for use with Satellite, a successful check gives a command to run to install the certificates. This command is missing a space before the backslash continuing the command onto a separate line, so that when it is copy-pasted to be run, the satellite-installer command fails.

Version-Release number of selected component (if applicable):
foreman-installer-katello-3.7.0.10-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run katello-certs-check against a third-party signed CA certificate/key/bundle
2.
3.

Actual results:
To update the certificates on a currently running Satellite installation, run:

    satellite-installer --scenario satellite\
              --certs-server-cert "/root/sat_cert/satellite_cert.pem"\
              --certs-server-key "/root/sat_cert/satellite_cert_key.pem"\
              --certs-server-ca-cert "/root/sat_cert/ca_cert_bundle.pem"\
              --certs-update-server --certs-update-server-ca

Expected results:
To update the certificates on a currently running Satellite installation, run:

    satellite-installer --scenario satellite \
              --certs-server-cert "/root/sat_cert/satellite_cert.pem" \
              --certs-server-key "/root/sat_cert/satellite_cert_key.pem" \
              --certs-server-ca-cert "/root/sat_cert/ca_cert_bundle.pem" \
              --certs-update-server --certs-update-server-ca

Additional info:
Other output sections have the same problem.

Comment 1 John Berninger 2018-10-24 14:31:07 UTC
The existing command works when the entire block is copy-pasted, but does not when it is copy-pasted one line at a time.

Comment 3 pm-sat@redhat.com 2018-10-27 02:05:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25306 has been resolved.

Comment 13 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.